Помогите обновить Squid,

Ответить
Falk
Новичок
Сообщения: 5
Зарегистрирован: 17 янв 2017 06:30

Помогите обновить Squid,

Сообщение Falk » 17 янв 2017 07:30

Здравствуйте
Убунту 14, Сквид 3,3,8 + аут kerberos, ntlm, basic. При 30-40 пользователей и при 250 -350 коннекшинов проц стоит на 60-80 иногда и до 100 % следовательно сквид тормозит
Хочу обновиться до 3.4.8 а потом до 3,5,8
Иду по этой статье https://blog.it-kb.ru/2014/10/13/update ... -04-1-lts/
при попытке посадить патчи вылазит ошибки и патчи не содятся. Пробовал удалить после этого при сборке сквида выскакиевает ошибка
что делать ? в чем проблема ? как устранить ? :roll:


patch: **** Only garbage was found in the patch input.
dpkg-source: info: fuzz is not allowed when applying patches
dpkg-source: info: if patch 'CVE-2016-2571.patch' is correctly applied by quilt, use 'quilt refresh' to update it
dpkg-source: error: LC_ALL=C patch -t -F 0 -N -p1 -u -V never -g0 -E -b -B .pc/CVE-2016-2571.patch/ --reject-file=- < squid3-3.4.8.orig.POc7eb/debian/patches/CVE-2016-2571.patch gave error exit status 2
dpkg-buildpackage: error: dpkg-source -b squid3-3.4.8 gave error exit status 2
debuild: fatal error at line 1364:
dpkg-buildpackage -rfakeroot -D -us -uc failed

Аватара пользователя
Алексей Максимов
Администратор сайта
Сообщения: 413
Зарегистрирован: 14 сен 2012 06:50
Откуда: г.Сыктывкар
Контактная информация:

Re: Помогите обновить Squid,

Сообщение Алексей Максимов » 17 янв 2017 08:04

Здравствуйте.

Для обновления 3.3 на 3.5 есть отдельная заметка:
Обновляем Squid 3.3.8 до версии 3.5.3 из исходных файлов на Ubuntu Server 14.04.2 LTS.
Перед обновлением стоит попробовать снизить нагрузку на систему методом, описанным в заметке:
Снижение нагрузки на процессорные ресурсы при использовании хелпера Kerberos-аутентификации (negotiate_kerberos_auth) для прокси-сервера Squid 3

Falk
Новичок
Сообщения: 5
Зарегистрирован: 17 янв 2017 06:30

Re: Помогите обновить Squid,

Сообщение Falk » 17 янв 2017 08:19

Это я уже проделал, нагрузка может и снизилась но не ощутимо. проц опять же гуляет в этих пределах
Пытаюсь вновь обновиться до 3,5,3 по этой статье, но проблемы с патчями все же остаются, может я чего то не догоняю.

Falk
Новичок
Сообщения: 5
Зарегистрирован: 17 янв 2017 06:30

Re: Помогите обновить Squid,

Сообщение Falk » 17 янв 2017 11:27

>>>Применяем и переформатируем оставшиеся патчи (текущий каталог ~/squid3-build/squid3-3.5.3)

Warning: trailing whitespace in line 3139 of src/cf.data.pre
Patch 99-ubuntu-ssl-cert-snakeoil.patch is unchanged
root@TEST-PROXY:~/squid3-build/squid3-3.5.3# quilt push
Applying patch fix-caching-vary-header.patch
patching file src/MemStore.cc
Hunk #1 FAILED at 310.
1 out of 1 hunk FAILED -- rejects in file src/MemStore.cc
patching file src/client_side_reply.cc
Hunk #1 FAILED at 499.
Hunk #2 FAILED at 530.
2 out of 2 hunks FAILED -- rejects in file src/client_side_reply.cc
patching file src/store.cc
Hunk #1 FAILED at 780.
1 out of 1 hunk FAILED -- rejects in file src/store.cc
Patch fix-caching-vary-header.patch does not apply (enforce with -f)
root@TEST-PROXY:~/squid3-build/squid3-3.5.3#
как можно поправить патч ????

Аватара пользователя
Алексей Максимов
Администратор сайта
Сообщения: 413
Зарегистрирован: 14 сен 2012 06:50
Откуда: г.Сыктывкар
Контактная информация:

Re: Помогите обновить Squid,

Сообщение Алексей Максимов » 17 янв 2017 11:53

Как мне объясняли, если патч не применяется, значит лучше его просто удалить и запустить процедуру наложения оставшихся патчей повторно.

Falk
Новичок
Сообщения: 5
Зарегистрирован: 17 янв 2017 06:30

Re: Помогите обновить Squid,

Сообщение Falk » 17 янв 2017 13:10

не прокатило ((
nothing to do
dpkg-source -b squid3-3.5.3
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building squid3 using existing ./squid3_3.5.3.orig.tar.gz
patching file src/cf.data.pre
Hunk #1 FAILED at 327.
Hunk #2 FAILED at 400.
Hunk #3 FAILED at 477.
Hunk #4 FAILED at 518.
Hunk #5 succeeded at 1213 (offset 204 lines).
Hunk #6 succeeded at 1466 (offset 272 lines).
Hunk #7 succeeded at 4604 (offset 715 lines).
Hunk #8 FAILED at 3908.
Hunk #9 succeeded at 8979 (offset 997 lines).
5 out of 9 hunks FAILED
dpkg-source: info: fuzz is not allowed when applying patches
dpkg-source: info: if patch '01-cf.data.debian.patch' is correctly applied by quilt, use 'quilt refresh' to update it
dpkg-source: error: LC_ALL=C patch -t -F 0 -N -p1 -u -V never -g0 -E -b -B .pc/01-cf.data.debian.patch/ --reject-file=- < squid3-3.5.3.orig.PIWbXt/debian/patches/01-cf.data.debian.patch gave error exit status 1
dpkg-buildpackage: error: dpkg-source -b squid3-3.5.3 gave error exit status 2
debuild: fatal error at line 1364:
dpkg-buildpackage -rfakeroot -D -us -uc failed

Аватара пользователя
Алексей Максимов
Администратор сайта
Сообщения: 413
Зарегистрирован: 14 сен 2012 06:50
Откуда: г.Сыктывкар
Контактная информация:

Re: Помогите обновить Squid,

Сообщение Алексей Максимов » 17 янв 2017 13:37

Ссылка на некоторые исправленные пачти в статье. Их нужно заменить и сделать это нужно было перед запуском наложения патчей.

Falk
Новичок
Сообщения: 5
Зарегистрирован: 17 янв 2017 06:30

Re: Помогите обновить Squid,

Сообщение Falk » 26 янв 2017 05:35

Задолбался со сквидом 3.3.8, что бы я не делал проц при 35 пользователей 100% CPU.
Собрал из исходников 3.5.19 два дня полет нормальный, проц грузится не больше 18-25 % при тех же 35 пользователей. Кому надо могу выложить пакты squid и libecap

AssGuard
Сообщения: 3
Зарегистрирован: 05 ноя 2015 09:04

Re: Помогите обновить Squid,

Сообщение AssGuard » 21 фев 2017 06:46

Falk писал(а):Задолбался со сквидом 3.3.8, что бы я не делал проц при 35 пользователей 100% CPU.
Собрал из исходников 3.5.19 два дня полет нормальный, проц грузится не больше 18-25 % при тех же 35 пользователей. Кому надо могу выложить пакты squid и libecap
Выложи, пожалуйста. С поддержкой ssl

Ответить

Вернуться в «Прокси-сервер Squid»